Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils.http
Class StatusCode

    java.lang.Object
      org.apache.ode.utils.http.StatusCode

    public class StatusCode

extends java.lang.Object

HTTP/1.1 Status Codes

Field Summary
`static int` | `_100_CONTINUE` `100 Continue` (HTTP/1.1 - RFC 2616)
`static int` | `_101_SWITCHING_PROTOCOLS` `101 Switching Protocols` (HTTP/1.1 - RFC 2616)
`static int` | `_200_OK` `200 OK` (HTTP/1.0 - RFC 1945)
`static int` | `_201_CREATED` `201 Created` (HTTP/1.0 - RFC 1945)
`static int` | `_202_ACCEPTED` `202 Accepted` (HTTP/1.0 - RFC 1945)
`static int` | `_203_NON_AUTHORITATIVE_INFORMATION` `203 Non Authoritative Information` (HTTP/1.1 - RFC 2616)
`static int` | `_204_NO_CONTENT` `204 No Content` (HTTP/1.0 - RFC 1945)
`static int` | `_205_RESET_CONTENT` `205 Reset Content` (HTTP/1.1 - RFC 2616)
`static int` | `_206_PARTIAL_CONTENT` `206 Partial Content` (HTTP/1.1 - RFC 2616)
`static int` | `_300_MULTIPLE_CHOICES` `300 Mutliple Choices` (HTTP/1.1 - RFC 2616)
`static int` | `_301_MOVED_PERMANENTLY` `301 Moved Permanently` (HTTP/1.0 - RFC 1945)
`static int` | `_302_MOVED_TEMPORARILY` `302 Moved Temporarily` (Sometimes `Found`) (HTTP/1.0 - RFC 1945)
`static int` | `_303_SEE_OTHER` `303 See Other` (HTTP/1.1 - RFC 2616)
`static int` | `_304_NOT_MODIFIED` `304 Not Modified` (HTTP/1.0 - RFC 1945)
`static int` | `_305_USE_PROXY` `305 Use Proxy` (HTTP/1.1 - RFC 2616)
`static int` | `_307_TEMPORARY_REDIRECT` `307 Temporary Redirect` (HTTP/1.1 - RFC 2616)
`static int` | `_400_BAD_REQUEST` `400 Bad Request` (HTTP/1.1 - RFC 2616)
`static int` | `_401_UNAUTHORIZED` `401 Unauthorized` (HTTP/1.0 - RFC 1945)
`static int` | `_402_PAYMENT_REQUIRED` `402 Payment Required` (HTTP/1.1 - RFC 2616)
`static int` | `_403_FORBIDDEN` `403 Forbidden` (HTTP/1.0 - RFC 1945)
`static int` | `_404_NOT_FOUND` `404 Not Found` (HTTP/1.0 - RFC 1945)
`static int` | `_405_METHOD_NOT_ALLOWED` `405 Method Not Allowed` (HTTP/1.1 - RFC 2616)
`static int` | `_406_NOT_ACCEPTABLE` `406 Not Acceptable` (HTTP/1.1 - RFC 2616)
`static int` | `_407_PROXY_AUTHENTICATION_REQUIRED` `407 Proxy Authentication Required` (HTTP/1.1 - RFC 2616)
`static int` | `_408_REQUEST_TIMEOUT` `408 Request Timeout` (HTTP/1.1 - RFC 2616)
`static int` | `_409_CONFLICT` `409 Conflict` (HTTP/1.1 - RFC 2616)
`static int` | `_410_GONE` `410 Gone` (HTTP/1.1 - RFC 2616)
`static int` | `_411_LENGTH_REQUIRED` `411 Length Required` (HTTP/1.1 - RFC 2616)
`static int` | `_412_PRECONDITION_FAILED` `412 Precondition Failed` (HTTP/1.1 - RFC 2616)
`static int` | `_413_REQUEST_TOO_LONG` `413 Request Entity Too Large` (HTTP/1.1 - RFC 2616)
`static int` | `_414_REQUEST_URI_TOO_LONG` `414 Request-URI Too Long` (HTTP/1.1 - RFC 2616)
`static int` | `_415_UNSUPPORTED_MEDIA_TYPE` `415 Unsupported Media Type` (HTTP/1.1 - RFC 2616)
`static int` | `_416_REQUESTED_RANGE_NOT_SATISFIABLE` `416 Requested Range Not Satisfiable` (HTTP/1.1 - RFC 2616)
`static int` | `_417_EXPECTATION_FAILED` `417 Expectation Failed` (HTTP/1.1 - RFC 2616)
`static int` | `_500_INTERNAL_SERVER_ERROR` `500 Server Error` (HTTP/1.0 - RFC 1945)
`static int` | `_501_NOT_IMPLEMENTED` `501 Not Implemented` (HTTP/1.0 - RFC 1945)
`static int` | `_502_BAD_GATEWAY` `502 Bad Gateway` (HTTP/1.0 - RFC 1945)
`static int` | `_503_SERVICE_UNAVAILABLE` `503 Service Unavailable` (HTTP/1.0 - RFC 1945)
`static int` | `_504_GATEWAY_TIMEOUT` `504 Gateway Timeout` (HTTP/1.1 - RFC 2616)
`static int` | `_505_HTTP_VERSION_NOT_SUPPORTED` `505 HTTP Version Not Supported` (HTTP/1.1 - RFC 2616)

Constructor Summary
`StatusCode()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _100_CONTINUE

    public static final int _100_CONTINUE

  `100 Continue` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _101_SWITCHING_PROTOCOLS

    public static final int _101_SWITCHING_PROTOCOLS

  `101 Switching Protocols` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _200_OK

    public static final int _200_OK

  `200 OK` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### _201_CREATED

    public static final int _201_CREATED

  `201 Created` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### _202_ACCEPTED

    public static final int _202_ACCEPTED

  `202 Accepted` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### _203_NON_AUTHORITATIVE_INFORMATION

    public static final int _203_NON_AUTHORITATIVE_INFORMATION

  `203 Non Authoritative Information` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _204_NO_CONTENT

    public static final int _204_NO_CONTENT

  `204 No Content` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### _205_RESET_CONTENT

    public static final int _205_RESET_CONTENT

  `205 Reset Content` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _206_PARTIAL_CONTENT

    public static final int _206_PARTIAL_CONTENT

  `206 Partial Content` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _300_MULTIPLE_CHOICES

    public static final int _300_MULTIPLE_CHOICES

  `300 Mutliple Choices` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _301_MOVED_PERMANENTLY

    public static final int _301_MOVED_PERMANENTLY

  `301 Moved Permanently` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### _302_MOVED_TEMPORARILY

    public static final int _302_MOVED_TEMPORARILY

  `302 Moved Temporarily` (Sometimes `Found`) (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### _303_SEE_OTHER

    public static final int _303_SEE_OTHER

  `303 See Other` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _304_NOT_MODIFIED

    public static final int _304_NOT_MODIFIED

  `304 Not Modified` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### _305_USE_PROXY

    public static final int _305_USE_PROXY

  `305 Use Proxy` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _307_TEMPORARY_REDIRECT

    public static final int _307_TEMPORARY_REDIRECT

  `307 Temporary Redirect` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _400_BAD_REQUEST

    public static final int _400_BAD_REQUEST

  `400 Bad Request` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _401_UNAUTHORIZED

    public static final int _401_UNAUTHORIZED

  `401 Unauthorized` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### _402_PAYMENT_REQUIRED

    public static final int _402_PAYMENT_REQUIRED

  `402 Payment Required` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _403_FORBIDDEN

    public static final int _403_FORBIDDEN

  `403 Forbidden` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### _404_NOT_FOUND

    public static final int _404_NOT_FOUND

  `404 Not Found` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### _405_METHOD_NOT_ALLOWED

    public static final int _405_METHOD_NOT_ALLOWED

  `405 Method Not Allowed` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _406_NOT_ACCEPTABLE

    public static final int _406_NOT_ACCEPTABLE

  `406 Not Acceptable` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _407_PROXY_AUTHENTICATION_REQUIRED

    public static final int _407_PROXY_AUTHENTICATION_REQUIRED

  `407 Proxy Authentication Required` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _408_REQUEST_TIMEOUT

    public static final int _408_REQUEST_TIMEOUT

  `408 Request Timeout` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _409_CONFLICT

    public static final int _409_CONFLICT

  `409 Conflict` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _410_GONE

    public static final int _410_GONE

  `410 Gone` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _411_LENGTH_REQUIRED

    public static final int _411_LENGTH_REQUIRED

  `411 Length Required` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _412_PRECONDITION_FAILED

    public static final int _412_PRECONDITION_FAILED

  `412 Precondition Failed` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _413_REQUEST_TOO_LONG

    public static final int _413_REQUEST_TOO_LONG

  `413 Request Entity Too Large` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _414_REQUEST_URI_TOO_LONG

    public static final int _414_REQUEST_URI_TOO_LONG

  `414 Request-URI Too Long` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _415_UNSUPPORTED_MEDIA_TYPE

    public static final int _415_UNSUPPORTED_MEDIA_TYPE

  `415 Unsupported Media Type` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _416_REQUESTED_RANGE_NOT_SATISFIABLE

    public static final int _416_REQUESTED_RANGE_NOT_SATISFIABLE

  `416 Requested Range Not Satisfiable` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _417_EXPECTATION_FAILED

    public static final int _417_EXPECTATION_FAILED

  `417 Expectation Failed` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _500_INTERNAL_SERVER_ERROR

    public static final int _500_INTERNAL_SERVER_ERROR

  `500 Server Error` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### _501_NOT_IMPLEMENTED

    public static final int _501_NOT_IMPLEMENTED

  `501 Not Implemented` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### _502_BAD_GATEWAY

    public static final int _502_BAD_GATEWAY

  `502 Bad Gateway` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### _503_SERVICE_UNAVAILABLE

    public static final int _503_SERVICE_UNAVAILABLE

  `503 Service Unavailable` (HTTP/1.0 - RFC 1945)

  See Also:
    Constant Field Values

### _504_GATEWAY_TIMEOUT

    public static final int _504_GATEWAY_TIMEOUT

  `504 Gateway Timeout` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

### _505_HTTP_VERSION_NOT_SUPPORTED

    public static final int _505_HTTP_VERSION_NOT_SUPPORTED

  `505 HTTP Version Not Supported` (HTTP/1.1 - RFC 2616)

  See Also:
    Constant Field Values

Constructor Detail

### StatusCode

    public StatusCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD